| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::NumericKeyFrame Class Reference
Core » Animation

Specialised KeyFrame which stores any numeric value. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::NumericKeyFrame:
[legend]

## Public Member Functions
| NumericKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead. More...
| ~NumericKeyFrame ()
KeyFrame * | _clone (AnimationTrack *newParent) const
| Clone a keyframe (internal use only) More...
Real | getTime (void) const
| Gets the time of this keyframe in the animation sequence. More...
virtual const AnyNumeric & | getValue (void) const
| Get the value at this keyframe. More...
virtual void | setValue (const AnyNumeric &val)
| Set the value at this keyframe. More...

## Detailed Description

Specialised KeyFrame which stores any numeric value.

## Constructor & Destructor Documentation

## ◆ NumericKeyFrame()

Ogre::NumericKeyFrame::NumericKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time
| ) |  |

Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

## ◆ ~NumericKeyFrame()

Ogre::NumericKeyFrame::~NumericKeyFrame | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getValue()

virtual const AnyNumeric& Ogre::NumericKeyFrame::getValue | ( | void |  | ) | const
| virtual

Get the value at this keyframe.

## ◆ setValue()

virtual void Ogre::NumericKeyFrame::setValue | ( | const AnyNumeric & | val | ) |
| virtual

Set the value at this keyframe.

Remarks
  All keyframe values must have a consistent type.

## ◆ _clone()

KeyFrame* Ogre::NumericKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const
| virtual

Clone a keyframe (internal use only)

Reimplemented from Ogre::KeyFrame.

## ◆ getTime()

Real Ogre::KeyFrame::getTime | ( | void |  | ) | const
| inline inherited

Gets the time of this keyframe in the animation sequence.

The documentation for this class was generated from the following file:

- OgreKeyFrame.h